package de.ivu.elect.business.wahl.entity;

public enum WahlkonfigurationAnpassbarArt {

  NICHT_ANPASSBAR_BEIM_START_AKTUALISIEREN {
    @Override
    public boolean isAnpassbar() {
      return false;
    }

    @Override
    public boolean isBeimStartAktualisieren() {
      return true;
    }
  },
  NICHT_ANPASSBAR_BEIM_START_NICHT_AKTUALISIEREN {
    @Override
    public boolean isAnpassbar() {
      return false;
    }

    @Override
    public boolean isBeimStartAktualisieren() {
      return false;
    }
  },
  ANPASSBAR {
    @Override
    public boolean isAnpassbar() {
      return true;
    }

    @Override
    public boolean isBeimStartAktualisieren() {
      return false;
    }
  };


  public abstract boolean isAnpassbar();

  public abstract boolean isBeimStartAktualisieren();


}
